package ru.ulstu.model;

import java.util.Date;

public class News {
    private final static int MAX_NEWS_TEXT_PREVIEW_LENGTH = 200;
    private final String title;
    private final Date date;
    private final String text;

    public News(String title, Date date, String text) {
        this.title = title;
        this.date = date;
        this.text = text;
    }

    public String getTitle() {
        return title;
    }

    public Date getDate() {
        return date;
    }

    public String getText() {
        return text;
    }

    public String getPreview() {
        return text.length() > MAX_NEWS_TEXT_PREVIEW_LENGTH
                ? text.substring(0, MAX_NEWS_TEXT_PREVIEW_LENGTH) + "..."
                : text;
    }
}
